Bug 338241 - yum update fails for the last few updates
yum update fails for the last few updates
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-18 12:07 EDT by Dhaval Giani
Modified: 2014-01-21 17:59 EST (History)
5 users (show)

See Also:
Fixed In Version: updates
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 16:02:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dhaval Giani 2007-10-18 12:07:18 EDT
Description of problem:
yum update fails with missing dependency

Version-Release number of selected component (if applicable):
[dhaval@gondor temp]$ yum --version
3.2.5
[dhaval@gondor temp]$ 


How reproducible:
Every time

Steps to Reproduce:
1. yum update
2.
3.
  
Actual results:
[dhaval@gondor kernels]$ sudo yum update
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package perl.i386 4:5.8.8-24.fc7 set to be updated
---> Package openoffice.org-impress.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package libvirt-python.i386 0:0.3.3-1.fc7 set to be updated
---> Package selinux-policy-targeted.noarch 0:2.6.4-48.fc7 set to be updated
---> Package icedax.i386 0:1.1.6-6.fc7 set to be updated
---> Package pwlib.i386 0:1.10.10-1.fc7 set to be updated
--> Processing Dependency: libraw1394.so.8 for package: pwlib
---> Package util-linux.i386 0:2.13-0.54.1.fc7 set to be updated
---> Package vte.i386 0:0.16.9-1.fc7 set to be updated
---> Package madwifi.i386 0:0.9.3.3-1.lvn7 set to be updated
---> Package openoffice.org-math.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package ntfs-3g.i386 2:1.1004-1.fc7 set to be updated
---> Package libsane-hpaio.i386 0:1.7.4a-6.fc7 set to be updated
---> Package kde-filesystem.noarch 0:3.92-9.fc7 set to be updated
---> Package ekiga.i386 0:2.0.11-1.fc7 set to be updated
---> Package kdelibs.i386 6:3.5.7-22.fc7 set to be updated
---> Package openoffice.org-writer.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package gthumb.i386 0:2.10.6-1.fc7 set to be updated
---> Package perl-Test-Harness.i386 0:2.56-24.fc7 set to be updated
---> Package opal.i386 0:2.2.11-1.fc7 set to be updated
---> Package kmod-madwifi.i686 0:0.9.3.3-1.2.6.22.9_91.fc7 set to be updated
---> Package vorbis-tools.i386 1:1.1.1.svn20070412-3.fc7 set to be updated
--> Processing Dependency: libFLAC.so.8 for package: vorbis-tools
---> Package bind-libs.i386 31:9.4.2-0.4.rc1.fc7 set to be updated
---> Package timidity++.i386 0:2.13.2-4.fc7 set to be updated
--> Processing Dependency: timidity++-patches = 2.13.2-4.fc7 for package: timidity++
---> Package system-config-printer.i386 0:0.7.63.4-1.fc7 set to be updated
---> Package wodim.i386 0:1.1.6-6.fc7 set to be updated
---> Package openoffice.org-draw.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package perl-CPAN.i386 0:1.76_02-24.fc7 set to be updated
---> Package pango-devel.i386 0:1.16.4-2.fc7 set to be updated
---> Package tk.i386 1:8.4.13-6.fc7 set to be updated
---> Package postgresql-libs.i386 0:8.2.5-1.fc7 set to be updated
---> Package openoffice.org-xsltfilter.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package curl.i386 0:7.16.4-1.fc7 set to be updated
---> Package openoffice.org-graphicfilter.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package openssl-devel.i386 0:0.9.8b-15.fc7 set to be updated
---> Package perl-ExtUtils-MakeMaker.i386 0:6.30-24.fc7 set to be updated
---> Package qt4-x11.i386 0:4.3.2-1.fc7 set to be updated
---> Package selinux-policy.noarch 0:2.6.4-48.fc7 set to be updated
---> Package pango.i386 0:1.16.4-2.fc7 set to be updated
---> Package perl-libs.i386 4:5.8.8-24.fc7 set to be updated
---> Package kdebase.i386 6:3.5.7-13.1.fc7 set to be updated
--> Processing Dependency: libraw1394.so.8 for package: kdebase
---> Package net-snmp-libs.i386 1:5.4-15.fc7 set to be updated
---> Package gdb.i386 0:6.6-16.fc7 set to be updated
---> Package hplip.i386 0:1.7.4a-6.fc7 set to be updated
---> Package genisoimage.i386 0:1.1.6-6.fc7 set to be updated
---> Package perl-ExtUtils-Embed.i386 0:1.26-24.fc7 set to be updated
---> Package curl-devel.i386 0:7.16.4-1.fc7 set to be updated
---> Package libvirt.i386 0:0.3.3-1.fc7 set to be updated
---> Package perl-suidperl.i386 4:5.8.8-24.fc7 set to be updated
---> Package bind-utils.i386 31:9.4.2-0.4.rc1.fc7 set to be updated
---> Package openoffice.org-core.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package qt4.i386 0:4.3.2-1.fc7 set to be updated
---> Package perl-Test-Simple.i386 0:0.62-24.fc7 set to be updated
---> Package openoffice.org-langpack-en.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package openoffice.org-calc.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package readahead.i386 1:1.4.1-3.fc7 set to be updated
---> Package foomatic.i386 0:3.0.2-47.2.fc7 set to be updated
---> Package hpijs.i386 1:1.7.4a-6.fc7 set to be updated
---> Package openssl.i686 0:0.9.8b-15.fc7 set to be updated
---> Package perl-devel.i386 4:5.8.8-24.fc7 set to be updated
---> Package system-config-printer-libs.i386 0:0.7.63.4-1.fc7 set to be updated
--> Running transaction check
---> Package pwlib.i386 0:1.10.10-1.fc7 set to be updated
--> Processing Dependency: libraw1394.so.8 for package: pwlib
---> Package vorbis-tools.i386 1:1.1.1.svn20070412-3.fc7 set to be updated
--> Processing Dependency: libFLAC.so.8 for package: vorbis-tools
---> Package kdebase.i386 6:3.5.7-13.1.fc7 set to be updated
--> Processing Dependency: libraw1394.so.8 for package: kdebase
---> Package timidity++-patches.i386 0:2.13.2-4.fc7 set to be updated
--> Finished Dependency Resolution
--> Running transaction check
---> Package pwlib.i386 0:1.10.10-1.fc7 set to be updated
--> Processing Dependency: libraw1394.so.8 for package: pwlib
---> Package vorbis-tools.i386 1:1.1.1.svn20070412-3.fc7 set to be updated
--> Processing Dependency: libFLAC.so.8 for package: vorbis-tools
---> Package kmod-madwifi.i686 0:0.9.3.1-2.2.6.22.7_85.fc7 set to be erased
---> Package kdebase.i386 6:3.5.7-13.1.fc7 set to be updated
--> Processing Dependency: libraw1394.so.8 for package: kdebase
--> Finished Dependency Resolution
Error: Missing Dependency: libFLAC.so.8 is needed by package vorbis-tools
Error: Missing Dependency: libraw1394.so.8 is needed by package kdebase
Error: Missing Dependency: libraw1394.so.8 is needed by package pwlib
[dhaval@gondor kernels]$

Expected results:
update happens properly.

Additional info:
Let me know.
Comment 1 Jeremy Katz 2007-10-22 14:03:43 EDT
What repositories are you pointing at?  And what is the output of 
  rpm -q flac
  rpm -q --provides flac
Comment 2 Dhaval Giani 2007-10-22 14:09:26 EDT
[root@gondor ~]#  rpm -q flac
flac-1.1.4-4_12.fc7
[root@gondor ~]#  rpm -q --provides flac
flac = 1.1.4-4_12.fc7
[root@gondor ~]# 

[root@gondor ~]# cat /etc/yum.repos.d/fedora.repo
[fedora]
name=Fedora Core $releasever - $basearch - Base
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
name=Fedora $releasever - $basearch
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/releases/$releasever/Everything/$basearch/os/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-$releasever&arch=$basearch
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
file:///etc/pki/rpm-gpg/RPM-GPG-KEY

[fedora-debuginfo]
name=Fedora $releasever - $basearch - Debug
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/releases/$releasever/Everything/$basearch/debug/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-debug-$releasever&arch=$basearch
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
file:///etc/pki/rpm-gpg/RPM-GPG-KEY

[fedora-source]
name=Fedora $releasever - Source
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/releases/$releasever/Everything/source/SRPMS/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-source-$releasever&arch=$basearch
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
file:///etc/pki/rpm-gpg/RPM-GPG-KEY


[root@gondor ~]# 
[root@gondor ~]# cat /etc/yum.repos.d/fedora-updates.repo
[updates]
name=Fedora $releasever - $basearch - Updates
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/$releasever/$basearch/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f$releasever&arch=$basearch
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora

[updates-debuginfo]
name=Fedora $releasever - $basearch - Updates - Debug
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/$releasever/$basearch/debug/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-debug-f$releasever&arch=$basearch
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora

[updates-source]
name=Fedora $releasever - Updates Source
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/$releasever/SRPMS/
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-source-f$releasever&arch=$basearch
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora

name=Fedora Core $releasever - $basearch - Base
baseurl=ftp://software.linux.ibm.com/pub/fedora/core-$releasever-$basearch/os/
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
[root@gondor ~]# cat /etc/yum.repos.d/livna
livna-devel.repo    livna.repo          livna-testing.repo  
[root@gondor ~]# cat /etc/yum.repos.d/livna.repo 
[livna]
name=Livna for Fedora Core $releasever - $basearch - Base
baseurl=
        http://rpm.livna.org/fedora/$releasever/$basearch/
        http://livna.cat.pdx.edu/fedora/$releasever/$basearch/
        http://wftp.tu-chemnitz.de/pub/linux/livna/fedora/$releasever/$basearch/
       
http://ftp-stud.fht-esslingen.de/pub/Mirrors/rpm.livna.org/fedora/$releasever/$basearch/
        http://mirror.atrpms.net/livna/fedora/$releasever/$basearch/
        ftp://mirrors.tummy.com/pub/rpm.livna.org/fedora/$releasever/$basearch/
failovermethod=priority
#mirrorlist=http://rpm.livna.org/mirrorlist-7
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-livna

[livna-debuginfo]
name=Livna for Fedora Core $releasever - $basearch - Debug
baseurl=
        http://rpm.livna.org/fedora/$releasever/$basearch/debug/
        http://livna.cat.pdx.edu/fedora/$releasever/$basearch/debug/
       
http://wftp.tu-chemnitz.de/pub/linux/livna/fedora/$releasever/$basearch/debug/
       
http://ftp-stud.fht-esslingen.de/pub/Mirrors/rpm.livna.org/fedora/$releasever/$basearch/debug/
        http://mirror.atrpms.net/livna/fedora/$releasever/$basearch/debug/
       
ftp://mirrors.tummy.com/pub/rpm.livna.org/fedora/$releasever/$basearch/debug/
failovermethod=priority
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-livna
gpgcheck=1

[livna-source]
name=Livna for Fedora Core $releasever - $basearch - Source
baseurl=
        http://rpm.livna.org/fedora/$releasever/SRPMS/
        http://livna.cat.pdx.edu/fedora/$releasever/SRPMS/
        http://wftp.tu-chemnitz.de/pub/linux/livna/fedora/$releasever/SRPMS/
       
http://ftp-stud.fht-esslingen.de/pub/Mirrors/rpm.livna.org/fedora/$releasever/SRPMS/
        http://mirror.atrpms.net/livna/fedora/$releasever/SRPMS/
        ftp://mirrors.tummy.com/pub/rpm.livna.org/fedora/$releasever/SRPMS/
failovermethod=priority
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-livna
gpgcheck=1
[root@gondor ~]# 

Anything else I can provide?
Comment 3 Bug Zapper 2008-05-14 10:47:23 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.